
Foreman - Feature #426

Ability to power cycle hosts

11/03/2010 06:46 PM - Bill Peck

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Power management   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Requesting the ability to control hosts power.

Requires:

allow for arbitrary power types (wti, apc_snmp, iLO, drac, etherwake, etc..)

storing config options

allow chaining power commands (power on then etherwake)

Arguments:

Off, On, Reboot

Related issues:

Related to Smart Proxy - Feature #1005: Add support for fence-agents (remote ... Duplicate 06/22/2011

Associated revisions

Revision 40df7dfb - 05/09/2013 10:20 AM - Daniel Lobato Garcia

fixes #426 expose BMC information in foreman UI

Signed-off-by: Ohad Levy <ohadlevy@gmail.com>

This patch also adds an abstracted power management class for both VM

and BM

History

#1 - 11/09/2010 08:06 AM - Ohad Levy

- Category set to Power management

Bill Peck wrote:

Requesting the ability to control hosts power.

Requires:

allow for arbitrary power types (wti, apc_snmp, iLO, drac, etherwake, etc..)

storing config options

allow chaining power commands (power on then etherwake)

 Would associating the hardware model to a script that accepts parameters (like mac, ip etc) is a good alternative?

or would you expect foreman to know how to configure each and every hardware type?

Arguments:

Off, On, Reboot

 What about status?

can we reuse any of the RH cluster scripts?
#2 - 03/27/2011 06:01 AM - Oded  Ramraz

Ohad , can you please raise the priority of this ticket?

This is very important / basic feature for us.

#3 - 07/04/2012 08:33 AM - Fabian Deutsch

Hey,

are there any news on this?

#4 - 08/28/2012 04:29 AM - Corey Osman

Just added BMC support to control IPMI enabled devices via the smart proxy.  Working on the foreman implementation next.

#5 - 05/08/2013 08:00 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 1.2.0

#6 - 05/09/2013 11:37 AM - Daniel Lobato Garcia

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 40df7dfbfcde38f06d133fea97f0d30904155916.
